public class Department {
    //number of labs
    private int lab;
    //labs
    private  Lab[] labs;
    //number of classes
    private int classes;
    //number of vending machines
    private int vendingMachines;
    // array of masters names
    private String[] masters;
    //recentsize
    private int recentSize;

    /**
     * constructor
     * creates a Department w given params
     * @param lab
     * @param masters
     */
    public Department(int lab, String[] masters)
    {
        this.lab=lab;
        this.masters=masters;
        classes=0;
        vendingMachines=0;
        recentSize=0;
        labs = new Lab[lab];
    }

    /**
     * method to add a lab to a department
     * @param lb
     */
    public void addLab(Lab lb)
    {
        if (recentSize < lab) {
            labs[recentSize] = lb;
            recentSize++;
        }
        else
            System.out.println("Lab is full!!!");
    }

    /**
     * classes setter
     * @param classes
     */
    public void setClasses(int classes)
    {
        this.classes=classes;
    }

    /**
     * gets classes
     * @return
     */
    public int getClasses()
    {
        return classes;
    }

    /**
     * sets vending machines
     * @param vendingMachines
     */
    public void setVendingMachines(int vendingMachines) {
        this.vendingMachines = vendingMachines;
    }

    /**
     * gets vendingmachines
     * @return
     */
    public int getVendingMachines() {
        return vendingMachines;
    }

    /**
     * just a method to print some info
     */
    public void printer()
    {
        int students=0;
        for(int i=0;i<lab;i++)
            students+=labs[i].getCurrentSize();
        System.out.println("Number of Students : "+students);

        int scoresum=0;
        for (int i=0;i<lab;i++)
            scoresum+=labs[i].getAvg()*labs[i].getCurrentSize();
        int average=scoresum/students;
        System.out.println("average of all students id : "+ average);


        System.out.println("There are "+vendingMachines+" vending machines in department");
        System.out.println("There are "+classes+" classes in department");
        System.out.println("Masters are:");
        for(int i=0;i< masters.length;i++)
            System.out.println(masters[i]);
    }
}
